org.apache.tomcat.util.net

## Class AbstractEndpoint.Acceptor

- java.lang.Object
- - org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  AprEndpoint.Acceptor, JIoEndpoint.Acceptor, NioEndpoint.Acceptor

Enclosing class:
  AbstractEndpoint

    public abstract static class AbstractEndpoint.Acceptor
    extends Object
    implements Runnable

### Nested Class Summary

Nested Classes
`static class` `AbstractEndpoint.Acceptor.AcceptorState`

### Field Summary

Fields
`protected AbstractEndpoint.Acceptor.AcceptorState` `state`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEndpoint.Acceptor()`

### Method Summary

Methods
`AbstractEndpoint.Acceptor.AcceptorState` `getState()`
`protected String` `getThreadName()`
`protected void` `setThreadName(String threadName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Field Detail

#### state

    protected volatile AbstractEndpoint.Acceptor.AcceptorState state

### Constructor Detail

#### AbstractEndpoint.Acceptor

    public AbstractEndpoint.Acceptor()

### Method Detail

#### getState

    public final AbstractEndpoint.Acceptor.AcceptorState getState()

#### setThreadName

    protected final void setThreadName(String threadName)

#### getThreadName

    protected final String getThreadName()